Quality Control
Create a new process
Create a new quality check process linked to a checklist
POST
/
v2
/
qc
/
processes
Create a new process
curl --request POST \
--url https://api.slate.inc/qc/v2/qc/processes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"owner": "<string>",
"displayName": "<string>",
"description": "<string>",
"checklistId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.slate.inc/qc/v2/qc/processes"
payload = {
"owner": "<string>",
"displayName": "<string>",
"description": "<string>",
"checklistId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
owner: '<string>',
displayName: '<string>',
description: '<string>',
checklistId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.slate.inc/qc/v2/qc/processes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"owner": "<string>",
"displayName": "<string>",
"createdOn": "2023-11-07T05:31:56Z",
"archivedOn": "2023-11-07T05:31:56Z",
"checklistId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Authorizations
Owner-scoped bearer token. The owner a request is scoped to is derived from the token; list endpoints also take an explicit owner query parameter your token must be authorized to read.
Body
application/json
Response
Process created successfully
Unique identifier for the QC process
The ID of the owner
The display name of the QC process
Timestamp when the QC process was created
Timestamp when the QC process was archived
Unique identifier for the QC checklist for this process
⌘I
Create a new process
